LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XInteractionRequest Interface Referencepublished

The description of an interaction request. More...

`import"XInteractionRequest.idl";`

Inheritance diagram for XInteractionRequest:

## Public Member Functions
any | getRequest ()
| Get information about the request itself. More...
sequence< com::sun::star::task::XInteractionContinuation > | getContinuations ()
| Get the set of com::sun::star::task::XInteractionContinuations the client supports for this request. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

The description of an interaction request.

## Member Function Documentation

## ◆ getContinuations()

sequence< com::sun::star::task::XInteractionContinuation > getContinuations | ( |  | ) |

Get the set of com::sun::star::task::XInteractionContinuations the client supports for this request.

## ◆ getRequest()

any getRequest | ( |  | ) |

Get information about the request itself.

Returns
  a com::sun::star::uno::Exception, wrapped as an `any`.

The documentation for this interface was generated from the following file:

- com/sun/star/task/XInteractionRequest.idl